FedoraPackagingNB68

(Difference between revisions)
(Issues)
(Issues)
Line 34: Line 34:
===Issues===
===Issues===
-
* '''FC12 Update Issue''': libs.lucene/external/lucene-core-2.4.1.jar is required. See [http://lucene.apache.org/java/2_4_1/changes/Changes.html changes in Lucene Java 2.4.1] for details.
+
====Lucene 2.4.1====
-
** lucene-2.3.1-5.5.fc12
+
libs.lucene/external/lucene-core-2.4.1.jar is required.
-
** [http://koji.fedoraproject.org/koji/buildinfo?buildID=143861 lucene-2.4.1-1.fc13]
+
See [http://lucene.apache.org/java/2_4_1/changes/Changes.html changes in Lucene Java 2.4.1] for details.
-
* Module extexecution.destroy requires external JARs:
+
 
-
** jna-3.0.9.jar
+
It is '''FC12 Update Issue''' only, because there is [http://koji.fedoraproject.org/koji/buildinfo?buildID=143861 lucene-2.4.1-1.fc13], but only lucene-2.3.1-5.5.fc12.
-
** winp-1.13-patched.jar (patched! win? can we avoid it?)
+
 
-
** libpam4j-1.1.jar
+
Dependencies upon the lucene package:
-
** processtreekiller-1.0.1.jar
+
<pre>
-
** commons-io-1.4.jar
+
$ repoquery --whatrequires --alldeps lucene | sort
 +
eclipse-platform-1:3.5.1-4.fc12.i686
 +
lucene-contrib-0:2.3.1-5.5.fc12.i686
 +
lucene-demo-0:2.3.1-5.5.fc12.i686
 +
netbeans-0:6.7.1-1.fc12.noarch
 +
opengrok-0:0.8-0.2.20090712hg.fc12.noarch
 +
openoffice.org-core-1:3.1.1-19.14.fc12.i686
 +
</pre>
 +
 
 +
====Module extexecution.destroy====
 +
Module extexecution.destroy requires external JARs:
 +
* jna-3.0.9.jar
 +
* winp-1.13-patched.jar (patched! win? can we avoid it?)
 +
* libpam4j-1.1.jar
 +
* processtreekiller-1.0.1.jar
 +
* commons-io-1.4.jar

Revision as of 15:17, 4 December 2009

Fedora - Packaging of the NetBeans 6.8

See the Features/NetBeans_6.7 on the fedoraproject.org site about the release NetBeans 6.7.1 for Fedora 12.

Contents


Overview

This page accumulates info about effort to create software packages of the NetBeans 6.8 that complement the Fedora 11, 12, 13 (currently rawhide).

Basic Cluster of the NetBeans 6.8 is the target software configuration to be packaged for Fedora.

The Basic Cluster includes:

  • NetBeans Platform, version 11.
  • Major functionality of the NetBeans IDE for Java programming and development of the NetBeans RCP applications.
  • Facilities to access to NetBeans Update Ceters that let to download and install/update desired plugins of the NetBeans.

NetBeans Platform

Sources

TBD

Issues

NetBeans IDE

Sources

TBD

Clusters

Issues

Lucene 2.4.1

libs.lucene/external/lucene-core-2.4.1.jar is required. See changes in Lucene Java 2.4.1 for details.

It is FC12 Update Issue only, because there is lucene-2.4.1-1.fc13, but only lucene-2.3.1-5.5.fc12.

Dependencies upon the lucene package:

$ repoquery --whatrequires --alldeps lucene | sort
eclipse-platform-1:3.5.1-4.fc12.i686
lucene-contrib-0:2.3.1-5.5.fc12.i686
lucene-demo-0:2.3.1-5.5.fc12.i686
netbeans-0:6.7.1-1.fc12.noarch
opengrok-0:0.8-0.2.20090712hg.fc12.noarch
openoffice.org-core-1:3.1.1-19.14.fc12.i686

Module extexecution.destroy

Module extexecution.destroy requires external JARs:

  • jna-3.0.9.jar
  • winp-1.13-patched.jar (patched! win? can we avoid it?)
  • libpam4j-1.1.jar
  • processtreekiller-1.0.1.jar
  • commons-io-1.4.jar
Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo